import request from '@/utils/request'

// 查询正式考试题目列表
export function listExamSubjectFormal(query) {
  return request({
    url: '/hezhi/examSubjectFormal/list',
    method: 'get',
    params: query
  })
}

// 查询正式考试题目详细
export function getExamSubjectFormal(examSubjectFormalId) {
  return request({
    url: '/hezhi/examSubjectFormal/' + examSubjectFormalId,
    method: 'get'
  })
}

// 新增正式考试题目
export function addExamSubjectFormal(data) {
  return request({
    url: '/hezhi/examSubjectFormal',
    method: 'post',
    data: data
  })
}

// 修改正式考试题目
export function updateExamSubjectFormal(data) {
  return request({
    url: '/hezhi/examSubjectFormal',
    method: 'put',
    data: data
  })
}

// 删除正式考试题目
export function delExamSubjectFormal(examSubjectFormalId) {
  return request({
    url: '/hezhi/examSubjectFormal/' + examSubjectFormalId,
    method: 'delete'
  })
}
